Uploaded image for project: 'Phoenix'
  1. Phoenix
  2. PHOENIX-6324

Queryserver IT suite incompatible with phoenix 5.1+ / 4.16+ shading

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: queryserver-6.0.0
    • Fix Version/s: queryserver-6.0.0
    • Component/s: queryserver
    • Labels:
      None

      Description

      The shading changes in Phoenix-client for 4.16+ and 5.1+ are incompatible with the minicluster.

      we get

      java.lang.RuntimeException: java.lang.NoSuchMethodError: org.apache.phoenix.shaded.org.eclipse.jetty.server.session.SessionHandler.getSessionManager()Lorg/apache/phoenix/shaded/org/eclipse/jetty/server/SessionManager;
      	at org.apache.phoenix.query.BaseTest.initMiniCluster(BaseTest.java:557)
      

      when we try to start the minicluster.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                stoty Istvan Toth
                Reporter:
                stoty Istvan Toth
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: